Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.utils
Class PropertiesParser

    java.lang.Object
      org.quartz.utils.PropertiesParser

public class PropertiesParser
extends Object

This is an utility calss used to parse the properties.

Author:
  James House

Constructor Summary
`PropertiesParser(Properties props)`

Method Summary
`boolean` | `getBooleanProperty(String name)`
`boolean` | `getBooleanProperty(String name, boolean def)`
`byte` | `getByteProperty(String name)`
`byte` | `getByteProperty(String name, byte def)`
`char` | `getCharProperty(String name)`
`char` | `getCharProperty(String name, char def)`
`double` | `getDoubleProperty(String name)`
`double` | `getDoubleProperty(String name, double def)`
`float` | `getFloatProperty(String name)`
`float` | `getFloatProperty(String name, float def)`
`int[]` | `getIntArrayProperty(String name)`
`int[]` | `getIntArrayProperty(String name, int[] def)`
`int` | `getIntProperty(String name)`
`int` | `getIntProperty(String name, int def)`
`long` | `getLongProperty(String name)`
`long` | `getLongProperty(String name, long def)`
`Properties` | `getPropertyGroup(String prefix)`
`Properties` | `getPropertyGroup(String prefix, boolean stripPrefix)`
`String[]` | `getPropertyGroups(String prefix)`
`short` | `getShortProperty(String name)`
`short` | `getShortProperty(String name, short def)`
`String[]` | `getStringArrayProperty(String name)`
`String[]` | `getStringArrayProperty(String name, String[] def)`
`String` | `getStringProperty(String name)`
`String` | `getStringProperty(String name, String def)`
`Properties` | `getUnderlyingProperties()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesParser

    public PropertiesParser(Properties props)

Method Detail

### getUnderlyingProperties

    public Properties getUnderlyingProperties()

### getStringProperty

    public String getStringProperty(String name)

### getStringProperty

    public String getStringProperty(String name,
                                    String def)

### getStringArrayProperty

    public String[] getStringArrayProperty(String name)

### getStringArrayProperty

    public String[] getStringArrayProperty(String name,
                                           String[] def)

### getBooleanProperty

    public boolean getBooleanProperty(String name)

### getBooleanProperty

    public boolean getBooleanProperty(String name,
                                      boolean def)

### getByteProperty

    public byte getByteProperty(String name)
                         throws NumberFormatException

  Throws:
    `NumberFormatException`

### getByteProperty

    public byte getByteProperty(String name,
                                byte def)
                         throws NumberFormatException

  Throws:
    `NumberFormatException`

### getCharProperty

    public char getCharProperty(String name)

### getCharProperty

    public char getCharProperty(String name,
                                char def)

### getDoubleProperty

    public double getDoubleProperty(String name)
                             throws NumberFormatException

  Throws:
    `NumberFormatException`

### getDoubleProperty

    public double getDoubleProperty(String name,
                                    double def)
                             throws NumberFormatException

  Throws:
    `NumberFormatException`

### getFloatProperty

    public float getFloatProperty(String name)
                           throws NumberFormatException

  Throws:
    `NumberFormatException`

### getFloatProperty

    public float getFloatProperty(String name,
                                  float def)
                           throws NumberFormatException

  Throws:
    `NumberFormatException`

### getIntProperty

    public int getIntProperty(String name)
                       throws NumberFormatException

  Throws:
    `NumberFormatException`

### getIntProperty

    public int getIntProperty(String name,
                              int def)
                       throws NumberFormatException

  Throws:
    `NumberFormatException`

### getIntArrayProperty

    public int[] getIntArrayProperty(String name)
                              throws NumberFormatException

  Throws:
    `NumberFormatException`

### getIntArrayProperty

    public int[] getIntArrayProperty(String name,
                                     int[] def)
                              throws NumberFormatException

  Throws:
    `NumberFormatException`

### getLongProperty

    public long getLongProperty(String name)
                         throws NumberFormatException

  Throws:
    `NumberFormatException`

### getLongProperty

    public long getLongProperty(String name,
                                long def)
                         throws NumberFormatException

  Throws:
    `NumberFormatException`

### getShortProperty

    public short getShortProperty(String name)
                           throws NumberFormatException

  Throws:
    `NumberFormatException`

### getShortProperty

    public short getShortProperty(String name,
                                  short def)
                           throws NumberFormatException

  Throws:
    `NumberFormatException`

### getPropertyGroups

    public String[] getPropertyGroups(String prefix)

### getPropertyGroup

    public Properties getPropertyGroup(String prefix)

### getPropertyGroup

    public Properties getPropertyGroup(String prefix,
                                       boolean stripPrefix)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD